# SRC/sdiagonal.c File Reference

Auxiliary routines to work with diagonal elements. More...

`#include "slu_sdefs.h"`

## Functions
int | sfill_diag (int n, NCformat *Astore)
int | sdominate (int n, NCformat *Astore)

## Detailed Description

     -- SuperLU routine (version 4.0) --
     Lawrence Berkeley National Laboratory
     June 30, 2009

## Function Documentation

int sdominate | ( | int | n,
|  | NCformat * | Astore |
| ) |  |  |

int sfill_diag | ( | int | n,
|  | NCformat * | Astore |
| ) |  |  |